
Roller.snap.over = (tl, input, value, output, index) => {

  tl.pause();

  input.map((index,value) => {

    if ($(value).hasClass("active")) {

      Save.input = value;
      
      Save.index = index;
      
      HandleClass(value,'remove');      

      output.map((index,value) => {

        let path = $(value).find("path");
    
        HandleClass(path,'remove');
    
      });

    }

  });

  HandleClass(value,'add');

  let New = { index : index }

  output.map((index,value) => {

    let path    = $(value).find("path"),
        parent  = $(value).parents(".pie-wrap"),
        title   = parent.siblings(".title"),
        pcent   = parent.siblings(".pie-pcent").find("span"),
        chapter = Site.chapters[New.index];

    HandleClass(path[New.index],'add');

    gsap.set(title,{ color : chapter.color });
    gsap.set(pcent,{ text  : chapter.pcent[index] });  
    
  });

}

Roller.snap.out = (tl, input, output) => { 

  input.map((index,value) => {

    if ($(value).hasClass("active")) {

      HandleClass(value,'remove');      

      output.map((index,value) => {

        let path = $(value).find("path");
    
        HandleClass(path,'remove');
    
      });  

    }

  });

  HandleClass(Save.input,'add');

  output.map((index,value) => {

    let path    = $(value).find("path"),
        parent  = $(value).parents(".pie-wrap"),
        title   = parent.siblings(".title"),
        pcent   = parent.siblings(".pie-pcent").find("span"),
        chapter = Site.chapters[Save.index];

    HandleClass(path[Save.index],'add');

    gsap.set(title,{ color : chapter.color });
    gsap.set(pcent,{ text  : chapter.pcent[index] });  
    
  });

  tl.play();

}

Roller.snap.tl = (input, output) => {

  let tl = gsap.timeline({ repeat : -1 });

  input.map((index,value) => {

    let live = "";

    Save.index = index;

    $(value.classList).map((index,value) => {
  
      if (value.startsWith("title-")) { live = value.slice(6); }
  
    });

    tl
    .call(HandleClass,[value,'add']);

    output.map((index,value) => {

      let path    = $(value).find("path"),
          parent  = $(value).parents(".pie-wrap"),
          title   = parent.siblings(".title"),
          pcent   = parent.siblings(".pie-pcent").find("span"),
          chapter = Site.chapters[Save.index];
      
      tl
      .call(HandleClass,[path[Save.index],'add'])
      .set(title,{ color : chapter.color })
      .set(pcent,{ text  : chapter.pcent[index] });

    });

    tl.call(HandleClass,[value,'remove'],"+=1");

    output.map((index,value) => {

      let path = $(value).find("path");

      tl.call(HandleClass,[path[Save.index],'remove']);

    });
  
    $(value).hover(function(){
  
      Roller.snap.over(tl, input, value, output, index);
  
    }, function() {
  
      Roller.snap.out(tl, input, output);     
  
    });

  });

}