
Artform.list = Object.keys(Color.artforms);

Artform.clear = parent => {
  
  $(parent).attr("class","block header title-artform");      

  $(Page.wrap + ".title-artform").map((_index,value) => {        

    Contrast.reset(value);

  });

}

Artform.update = (parent, value) => {

  $(parent).addClass("tag-" + value);

  $(Page.wrap + ".title-artform").map((_index,value) => { 
  
    Contrast.check(value,".block.header",".block.header"); 
  
  });

}

Artform.header = () => {

  let parent = ".header.title-artform",
      tl     = gsap.timeline({ repeat : -1 }),
      speed  = 1.5;

  Artform.list.map(value => {    

    tl
    .set(parent,{
      opacity : 1,
      onComplete : () => {
        Artform.update(parent,value);
      }
    })
    .set(parent,{
      clearProps : "all",
      delay : speed,
      onComplete : () => {
        Artform.clear(parent);
      }
    });

  });
}