
const ParseInputs = (loop,rules) => {

  loop.map( value => {
    $(value).parsley(rules);
  });

}

const RequireInputs = loop => {

  ParseInputs(loop,{ 
    required : true 
  });

};

const ValidateSelects = loop => {

  ParseInputs(loop,{
    min : 1,
    errorMessage : "Please select an option"
  });

};

const ValidateNumbers = loop => {

  ParseInputs(loop,{
    type : "digits"
  });

};

const ValidateText = loop => {

  ParseInputs(loop,{
    minlength : 5
  });

};

const ValidateEmail = loop => {

  ParseInputs(loop,{
    type : "email"
  });

};
