
Setup.site = () => {

  if (!Config.respond) {   

    // Config is NOT responsive

    if (!Site.mobile.active) {

      // Site is NOT mobile

      gsap.set(".site",{
        display : Config.display
      });

    }

  }

  else {

    // Config is responsive

    gsap.set(".site",{
      display : Config.display
    });

  }

  setTimeout(function() {

    gsap.set(Overlay.load.screen,{
      clearProps : "display"
    });

    Site.tl.pause();    

  },1000);

}

$(Setup.site());

$(window).resize(Setup.site()); 
