
const AnimatePies = () => {

  $(Site.pies.list).map((index,value) => {

    const tl    = gsap.timeline({ repeat : -1, repeatDelay : 3 }),
          item  = value.children,
          speed = 0.4;

    $(item).map((index,value) => {

      const pcent  = $(value).children(Site.pies.pcent).children('span'),
            wrap   = $(value).children(Site.pies.wrap),
            title  = $(value).children(Site.pies.title),
            data   = wrap.children(Site.pies.data),
            update = $(pcent).text(),
            prev   = { val : 0 };

      const UpdateVal = () => {
        let jump = gsap.utils.snap(1,prev.val);
        pcent.text(jump);
      }

      tl
      .to(prev,{
        val : update,
        duration : speed * 6,
        onUpdate : UpdateVal
      },"start")
      .from(title,{
        duration : speed * 3,
        scrambleText : {
          chars : Site.scramble.chars,
          speed : Site.scramble.speed
        }
      },"start");

      data.map((index,value) => {

        let target = $('g#data',value);

        if (index == 0) {
          tl
          .from(target,{
            duration : speed,
            opacity  : 0
          },"start")
          .from(target,{
            duration : speed * 3,
            rotation : -180,
            transformOrigin : "center"
          },"start");
        } else if (index > 0) {
          tl
          .from(target,{
            duration : speed * 3,
            rotation : -90,
            transformOrigin : "center",
            delay : speed * 1.5
          },"start")
          .from(target,{
            duration : speed,
            opacity  : 0,
            delay    : speed * 1.5
          },"start");
        }

      });

    });

  });

}
