
Contrast.reset = value => {
    
  let Target = { 
    ratio : $(value).find(Site.access.ratio) 
  };
  
  $(Target.ratio).attr("class","block access-ratio");
}

Contrast.round = number => {
  return Math.round(number * 100) / 100
}

Contrast.ratio = (color,backg) => {
  return Contrast.round(tinycolor.readability(color,backg));
}

Contrast.check = (value,color,backg) => {

  let Target = {
    ratio : $(value).find(Site.access.ratio),
    color : tinycolor($(color,value).css('color')).toHexString(),
    backg : tinycolor($(backg,value).css('background-color')).toHexString()
  },
  
  Result = { 
    ratio : Contrast.ratio(Target.color,Target.backg) 
  };

  $(Target.ratio).text(Result.ratio);

  if (Result.ratio >= 4.5) {

    $(Target.ratio).addClass(Site.access.best);

  } else if (Result.ratio >= 3) {

    $(Target.ratio).addClass(Site.access.good);

  } else {

    $(Target.ratio).addClass(Site.access.poor);

  }
}