
const WhatsOn = {

  speed : input => {
    return input * 0.05;
  },

  slide : value => {

    let alert = $(".screen-alert__wrap",value),
        feed  = $(".screen-alert__feed",value),
        width = $(feed).width() + 100,
        clone = $(".screen-alert__clone",value);
  
    $(alert).addClass("modify-grid");  
  
    const prep = gsap.timeline({ defaults : { ease : "none" }});
        
    const tl = gsap.timeline({ repeat : -1, paused : true, defaults : { ease : "none" }});
  
    tl.to([feed,clone],{ duration : WhatsOn.speed(width), x : - width });
  
    prep
    .to(alert,{
      duration : WhatsOn.speed(20),
      paddingLeft : 0
    })
    .call(()=>{
      tl.play();
    });
  
  },

  scroll : value => {

    let feed   = $(".screen-event__feed",value),
        height = $(feed).height(),
        clone  = $(".screen-event__clone",value);
        
    let tl = gsap.timeline({ repeat : -1, defaults : { ease : "none" }});
  
    tl.to([feed,clone],{ duration : WhatsOn.speed(height), y : - height });
    
  }
}